package #
Date::Manip::TZ::eubrus00;
# Copyright (c) 2008-2024 Sullivan Beck.  All rights reserved.
# This program is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.

# This file was automatically generated.  Any changes to this file will
# be lost the next time 'tzdata' is run.
#    Generated on: Wed Dec  4 14:48:44 EST 2024
#    Data version: tzdata2024b
#    Code version: tzcode2024b

# This module contains data from the zoneinfo time zone database.  The original
# data was obtained from the URL:
#    ftp://ftp.iana.org/tz

use strict;
use warnings;
require 5.010000;

our (%Dates,%LastRule);
END {
   undef %Dates;
   undef %LastRule;
}

our ($VERSION);
$VERSION='6.96';
END { undef $VERSION; }

%Dates         = (
   1    =>
     [
        [ [1,1,2,0,0,0],[1,1,2,0,17,30],'+00:17:30',[0,17,30],
          'LMT',0,[1879,12,31,23,42,29],[1879,12,31,23,59,59],
          '0001010200:00:00','0001010200:17:30','1879123123:42:29','1879123123:59:59' ],
     ],
   1879 =>
     [
        [ [1879,12,31,23,42,30],[1880,1,1,0,0,0],'+00:17:30',[0,17,30],
          'BMT',0,[1892,4,30,23,59,59],[1892,5,1,0,17,29],
          '1879123123:42:30','1880010100:00:00','1892043023:59:59','1892050100:17:29' ],
     ],
   1892 =>
     [
        [ [1892,5,1,0,0,0],[1892,5,1,0,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1914,11,7,23,59,59],[1914,11,7,23,59,59],
          '1892050100:00:00','1892050100:00:00','1914110723:59:59','1914110723:59:59' ],
     ],
   1914 =>
     [
        [ [1914,11,8,0,0,0],[1914,11,8,1,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1916,4,30,22,59,59],[1916,4,30,23,59,59],
          '1914110800:00:00','1914110801:00:00','1916043022:59:59','1916043023:59:59' ],
     ],
   1916 =>
     [
        [ [1916,4,30,23,0,0],[1916,5,1,1,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1916,9,30,22,59,59],[1916,10,1,0,59,59],
          '1916043023:00:00','1916050101:00:00','1916093022:59:59','1916100100:59:59' ],
        [ [1916,9,30,23,0,0],[1916,10,1,0,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1917,4,16,0,59,59],[1917,4,16,1,59,59],
          '1916093023:00:00','1916100100:00:00','1917041600:59:59','1917041601:59:59' ],
     ],
   1917 =>
     [
        [ [1917,4,16,1,0,0],[1917,4,16,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1917,9,17,0,59,59],[1917,9,17,2,59,59],
          '1917041601:00:00','1917041603:00:00','1917091700:59:59','1917091702:59:59' ],
        [ [1917,9,17,1,0,0],[1917,9,17,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1918,4,15,0,59,59],[1918,4,15,1,59,59],
          '1917091701:00:00','1917091702:00:00','1918041500:59:59','1918041501:59:59' ],
     ],
   1918 =>
     [
        [ [1918,4,15,1,0,0],[1918,4,15,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1918,9,16,0,59,59],[1918,9,16,2,59,59],
          '1918041501:00:00','1918041503:00:00','1918091600:59:59','1918091602:59:59' ],
        [ [1918,9,16,1,0,0],[1918,9,16,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1918,11,11,10,59,59],[1918,11,11,11,59,59],
          '1918091601:00:00','1918091602:00:00','1918111110:59:59','1918111111:59:59' ],
        [ [1918,11,11,11,0,0],[1918,11,11,11,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1919,3,1,22,59,59],[1919,3,1,22,59,59],
          '1918111111:00:00','1918111111:00:00','1919030122:59:59','1919030122:59:59' ],
     ],
   1919 =>
     [
        [ [1919,3,1,23,0,0],[1919,3,2,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1919,10,4,22,59,59],[1919,10,4,23,59,59],
          '1919030123:00:00','1919030200:00:00','1919100422:59:59','1919100423:59:59' ],
        [ [1919,10,4,23,0,0],[1919,10,4,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1920,2,14,22,59,59],[1920,2,14,22,59,59],
          '1919100423:00:00','1919100423:00:00','1920021422:59:59','1920021422:59:59' ],
     ],
   1920 =>
     [
        [ [1920,2,14,23,0,0],[1920,2,15,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1920,10,23,22,59,59],[1920,10,23,23,59,59],
          '1920021423:00:00','1920021500:00:00','1920102322:59:59','1920102323:59:59' ],
        [ [1920,10,23,23,0,0],[1920,10,23,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1921,3,14,22,59,59],[1921,3,14,22,59,59],
          '1920102323:00:00','1920102323:00:00','1921031422:59:59','1921031422:59:59' ],
     ],
   1921 =>
     [
        [ [1921,3,14,23,0,0],[1921,3,15,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1921,10,25,22,59,59],[1921,10,25,23,59,59],
          '1921031423:00:00','1921031500:00:00','1921102522:59:59','1921102523:59:59' ],
        [ [1921,10,25,23,0,0],[1921,10,25,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1922,3,25,22,59,59],[1922,3,25,22,59,59],
          '1921102523:00:00','1921102523:00:00','1922032522:59:59','1922032522:59:59' ],
     ],
   1922 =>
     [
        [ [1922,3,25,23,0,0],[1922,3,26,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1922,10,7,22,59,59],[1922,10,7,23,59,59],
          '1922032523:00:00','1922032600:00:00','1922100722:59:59','1922100723:59:59' ],
        [ [1922,10,7,23,0,0],[1922,10,7,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1923,4,21,22,59,59],[1923,4,21,22,59,59],
          '1922100723:00:00','1922100723:00:00','1923042122:59:59','1923042122:59:59' ],
     ],
   1923 =>
     [
        [ [1923,4,21,23,0,0],[1923,4,22,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1923,10,6,22,59,59],[1923,10,6,23,59,59],
          '1923042123:00:00','1923042200:00:00','1923100622:59:59','1923100623:59:59' ],
        [ [1923,10,6,23,0,0],[1923,10,6,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1924,3,29,22,59,59],[1924,3,29,22,59,59],
          '1923100623:00:00','1923100623:00:00','1924032922:59:59','1924032922:59:59' ],
     ],
   1924 =>
     [
        [ [1924,3,29,23,0,0],[1924,3,30,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1924,10,4,22,59,59],[1924,10,4,23,59,59],
          '1924032923:00:00','1924033000:00:00','1924100422:59:59','1924100423:59:59' ],
        [ [1924,10,4,23,0,0],[1924,10,4,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1925,4,4,22,59,59],[1925,4,4,22,59,59],
          '1924100423:00:00','1924100423:00:00','1925040422:59:59','1925040422:59:59' ],
     ],
   1925 =>
     [
        [ [1925,4,4,23,0,0],[1925,4,5,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1925,10,3,22,59,59],[1925,10,3,23,59,59],
          '1925040423:00:00','1925040500:00:00','1925100322:59:59','1925100323:59:59' ],
        [ [1925,10,3,23,0,0],[1925,10,3,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1926,4,17,22,59,59],[1926,4,17,22,59,59],
          '1925100323:00:00','1925100323:00:00','1926041722:59:59','1926041722:59:59' ],
     ],
   1926 =>
     [
        [ [1926,4,17,23,0,0],[1926,4,18,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1926,10,2,22,59,59],[1926,10,2,23,59,59],
          '1926041723:00:00','1926041800:00:00','1926100222:59:59','1926100223:59:59' ],
        [ [1926,10,2,23,0,0],[1926,10,2,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1927,4,9,22,59,59],[1927,4,9,22,59,59],
          '1926100223:00:00','1926100223:00:00','1927040922:59:59','1927040922:59:59' ],
     ],
   1927 =>
     [
        [ [1927,4,9,23,0,0],[1927,4,10,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1927,10,1,22,59,59],[1927,10,1,23,59,59],
          '1927040923:00:00','1927041000:00:00','1927100122:59:59','1927100123:59:59' ],
        [ [1927,10,1,23,0,0],[1927,10,1,23,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1928,4,14,22,59,59],[1928,4,14,22,59,59],
          '1927100123:00:00','1927100123:00:00','1928041422:59:59','1928041422:59:59' ],
     ],
   1928 =>
     [
        [ [1928,4,14,23,0,0],[1928,4,15,0,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1928,10,7,1,59,59],[1928,10,7,2,59,59],
          '1928041423:00:00','1928041500:00:00','1928100701:59:59','1928100702:59:59' ],
        [ [1928,10,7,2,0,0],[1928,10,7,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1929,4,21,1,59,59],[1929,4,21,1,59,59],
          '1928100702:00:00','1928100702:00:00','1929042101:59:59','1929042101:59:59' ],
     ],
   1929 =>
     [
        [ [1929,4,21,2,0,0],[1929,4,21,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1929,10,6,1,59,59],[1929,10,6,2,59,59],
          '1929042102:00:00','1929042103:00:00','1929100601:59:59','1929100602:59:59' ],
        [ [1929,10,6,2,0,0],[1929,10,6,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1930,4,13,1,59,59],[1930,4,13,1,59,59],
          '1929100602:00:00','1929100602:00:00','1930041301:59:59','1930041301:59:59' ],
     ],
   1930 =>
     [
        [ [1930,4,13,2,0,0],[1930,4,13,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1930,10,5,1,59,59],[1930,10,5,2,59,59],
          '1930041302:00:00','1930041303:00:00','1930100501:59:59','1930100502:59:59' ],
        [ [1930,10,5,2,0,0],[1930,10,5,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1931,4,19,1,59,59],[1931,4,19,1,59,59],
          '1930100502:00:00','1930100502:00:00','1931041901:59:59','1931041901:59:59' ],
     ],
   1931 =>
     [
        [ [1931,4,19,2,0,0],[1931,4,19,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1931,10,4,1,59,59],[1931,10,4,2,59,59],
          '1931041902:00:00','1931041903:00:00','1931100401:59:59','1931100402:59:59' ],
        [ [1931,10,4,2,0,0],[1931,10,4,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1932,4,3,1,59,59],[1932,4,3,1,59,59],
          '1931100402:00:00','1931100402:00:00','1932040301:59:59','1932040301:59:59' ],
     ],
   1932 =>
     [
        [ [1932,4,3,2,0,0],[1932,4,3,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1932,10,2,1,59,59],[1932,10,2,2,59,59],
          '1932040302:00:00','1932040303:00:00','1932100201:59:59','1932100202:59:59' ],
        [ [1932,10,2,2,0,0],[1932,10,2,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1933,3,26,1,59,59],[1933,3,26,1,59,59],
          '1932100202:00:00','1932100202:00:00','1933032601:59:59','1933032601:59:59' ],
     ],
   1933 =>
     [
        [ [1933,3,26,2,0,0],[1933,3,26,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1933,10,8,1,59,59],[1933,10,8,2,59,59],
          '1933032602:00:00','1933032603:00:00','1933100801:59:59','1933100802:59:59' ],
        [ [1933,10,8,2,0,0],[1933,10,8,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1934,4,8,1,59,59],[1934,4,8,1,59,59],
          '1933100802:00:00','1933100802:00:00','1934040801:59:59','1934040801:59:59' ],
     ],
   1934 =>
     [
        [ [1934,4,8,2,0,0],[1934,4,8,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1934,10,7,1,59,59],[1934,10,7,2,59,59],
          '1934040802:00:00','1934040803:00:00','1934100701:59:59','1934100702:59:59' ],
        [ [1934,10,7,2,0,0],[1934,10,7,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1935,3,31,1,59,59],[1935,3,31,1,59,59],
          '1934100702:00:00','1934100702:00:00','1935033101:59:59','1935033101:59:59' ],
     ],
   1935 =>
     [
        [ [1935,3,31,2,0,0],[1935,3,31,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1935,10,6,1,59,59],[1935,10,6,2,59,59],
          '1935033102:00:00','1935033103:00:00','1935100601:59:59','1935100602:59:59' ],
        [ [1935,10,6,2,0,0],[1935,10,6,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1936,4,19,1,59,59],[1936,4,19,1,59,59],
          '1935100602:00:00','1935100602:00:00','1936041901:59:59','1936041901:59:59' ],
     ],
   1936 =>
     [
        [ [1936,4,19,2,0,0],[1936,4,19,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1936,10,4,1,59,59],[1936,10,4,2,59,59],
          '1936041902:00:00','1936041903:00:00','1936100401:59:59','1936100402:59:59' ],
        [ [1936,10,4,2,0,0],[1936,10,4,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1937,4,4,1,59,59],[1937,4,4,1,59,59],
          '1936100402:00:00','1936100402:00:00','1937040401:59:59','1937040401:59:59' ],
     ],
   1937 =>
     [
        [ [1937,4,4,2,0,0],[1937,4,4,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1937,10,3,1,59,59],[1937,10,3,2,59,59],
          '1937040402:00:00','1937040403:00:00','1937100301:59:59','1937100302:59:59' ],
        [ [1937,10,3,2,0,0],[1937,10,3,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1938,3,27,1,59,59],[1938,3,27,1,59,59],
          '1937100302:00:00','1937100302:00:00','1938032701:59:59','1938032701:59:59' ],
     ],
   1938 =>
     [
        [ [1938,3,27,2,0,0],[1938,3,27,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1938,10,2,1,59,59],[1938,10,2,2,59,59],
          '1938032702:00:00','1938032703:00:00','1938100201:59:59','1938100202:59:59' ],
        [ [1938,10,2,2,0,0],[1938,10,2,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1939,4,16,1,59,59],[1939,4,16,1,59,59],
          '1938100202:00:00','1938100202:00:00','1939041601:59:59','1939041601:59:59' ],
     ],
   1939 =>
     [
        [ [1939,4,16,2,0,0],[1939,4,16,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1939,11,19,1,59,59],[1939,11,19,2,59,59],
          '1939041602:00:00','1939041603:00:00','1939111901:59:59','1939111902:59:59' ],
        [ [1939,11,19,2,0,0],[1939,11,19,2,0,0],'+00:00:00',[0,0,0],
          'WET',0,[1940,2,25,1,59,59],[1940,2,25,1,59,59],
          '1939111902:00:00','1939111902:00:00','1940022501:59:59','1940022501:59:59' ],
     ],
   1940 =>
     [
        [ [1940,2,25,2,0,0],[1940,2,25,3,0,0],'+01:00:00',[1,0,0],
          'WEST',1,[1940,5,20,1,59,59],[1940,5,20,2,59,59],
          '1940022502:00:00','1940022503:00:00','1940052001:59:59','1940052002:59:59' ],
        [ [1940,5,20,2,0,0],[1940,5,20,4,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1942,11,2,0,59,59],[1942,11,2,2,59,59],
          '1940052002:00:00','1940052004:00:00','1942110200:59:59','1942110202:59:59' ],
     ],
   1942 =>
     [
        [ [1942,11,2,1,0,0],[1942,11,2,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1943,3,29,0,59,59],[1943,3,29,1,59,59],
          '1942110201:00:00','1942110202:00:00','1943032900:59:59','1943032901:59:59' ],
     ],
   1943 =>
     [
        [ [1943,3,29,1,0,0],[1943,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1943,10,4,0,59,59],[1943,10,4,2,59,59],
          '1943032901:00:00','1943032903:00:00','1943100400:59:59','1943100402:59:59' ],
        [ [1943,10,4,1,0,0],[1943,10,4,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1944,4,3,0,59,59],[1944,4,3,1,59,59],
          '1943100401:00:00','1943100402:00:00','1944040300:59:59','1944040301:59:59' ],
     ],
   1944 =>
     [
        [ [1944,4,3,1,0,0],[1944,4,3,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1944,9,17,0,59,59],[1944,9,17,2,59,59],
          '1944040301:00:00','1944040303:00:00','1944091700:59:59','1944091702:59:59' ],
        [ [1944,9,17,1,0,0],[1944,9,17,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1945,4,2,0,59,59],[1945,4,2,1,59,59],
          '1944091701:00:00','1944091702:00:00','1945040200:59:59','1945040201:59:59' ],
     ],
   1945 =>
     [
        [ [1945,4,2,1,0,0],[1945,4,2,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1945,9,16,0,59,59],[1945,9,16,2,59,59],
          '1945040201:00:00','1945040203:00:00','1945091600:59:59','1945091602:59:59' ],
        [ [1945,9,16,1,0,0],[1945,9,16,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1946,5,19,0,59,59],[1946,5,19,1,59,59],
          '1945091601:00:00','1945091602:00:00','1946051900:59:59','1946051901:59:59' ],
     ],
   1946 =>
     [
        [ [1946,5,19,1,0,0],[1946,5,19,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1946,10,7,0,59,59],[1946,10,7,2,59,59],
          '1946051901:00:00','1946051903:00:00','1946100700:59:59','1946100702:59:59' ],
        [ [1946,10,7,1,0,0],[1946,10,7,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1977,4,3,0,59,59],[1977,4,3,1,59,59],
          '1946100701:00:00','1946100702:00:00','1977040300:59:59','1977040301:59:59' ],
     ],
   1977 =>
     [
        [ [1977,4,3,1,0,0],[1977,4,3,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1977,9,25,0,59,59],[1977,9,25,2,59,59],
          '1977040301:00:00','1977040303:00:00','1977092500:59:59','1977092502:59:59' ],
        [ [1977,9,25,1,0,0],[1977,9,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1978,4,2,0,59,59],[1978,4,2,1,59,59],
          '1977092501:00:00','1977092502:00:00','1978040200:59:59','1978040201:59:59' ],
     ],
   1978 =>
     [
        [ [1978,4,2,1,0,0],[1978,4,2,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1978,10,1,0,59,59],[1978,10,1,2,59,59],
          '1978040201:00:00','1978040203:00:00','1978100100:59:59','1978100102:59:59' ],
        [ [1978,10,1,1,0,0],[1978,10,1,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1979,4,1,0,59,59],[1979,4,1,1,59,59],
          '1978100101:00:00','1978100102:00:00','1979040100:59:59','1979040101:59:59' ],
     ],
   1979 =>
     [
        [ [1979,4,1,1,0,0],[1979,4,1,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1979,9,30,0,59,59],[1979,9,30,2,59,59],
          '1979040101:00:00','1979040103:00:00','1979093000:59:59','1979093002:59:59' ],
        [ [1979,9,30,1,0,0],[1979,9,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1980,4,6,0,59,59],[1980,4,6,1,59,59],
          '1979093001:00:00','1979093002:00:00','1980040600:59:59','1980040601:59:59' ],
     ],
   1980 =>
     [
        [ [1980,4,6,1,0,0],[1980,4,6,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1980,9,28,0,59,59],[1980,9,28,2,59,59],
          '1980040601:00:00','1980040603:00:00','1980092800:59:59','1980092802:59:59' ],
        [ [1980,9,28,1,0,0],[1980,9,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1981,3,29,0,59,59],[1981,3,29,1,59,59],
          '1980092801:00:00','1980092802:00:00','1981032900:59:59','1981032901:59:59' ],
     ],
   1981 =>
     [
        [ [1981,3,29,1,0,0],[1981,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1981,9,27,0,59,59],[1981,9,27,2,59,59],
          '1981032901:00:00','1981032903:00:00','1981092700:59:59','1981092702:59:59' ],
        [ [1981,9,27,1,0,0],[1981,9,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1982,3,28,0,59,59],[1982,3,28,1,59,59],
          '1981092701:00:00','1981092702:00:00','1982032800:59:59','1982032801:59:59' ],
     ],
   1982 =>
     [
        [ [1982,3,28,1,0,0],[1982,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1982,9,26,0,59,59],[1982,9,26,2,59,59],
          '1982032801:00:00','1982032803:00:00','1982092600:59:59','1982092602:59:59' ],
        [ [1982,9,26,1,0,0],[1982,9,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1983,3,27,0,59,59],[1983,3,27,1,59,59],
          '1982092601:00:00','1982092602:00:00','1983032700:59:59','1983032701:59:59' ],
     ],
   1983 =>
     [
        [ [1983,3,27,1,0,0],[1983,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1983,9,25,0,59,59],[1983,9,25,2,59,59],
          '1983032701:00:00','1983032703:00:00','1983092500:59:59','1983092502:59:59' ],
        [ [1983,9,25,1,0,0],[1983,9,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1984,3,25,0,59,59],[1984,3,25,1,59,59],
          '1983092501:00:00','1983092502:00:00','1984032500:59:59','1984032501:59:59' ],
     ],
   1984 =>
     [
        [ [1984,3,25,1,0,0],[1984,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1984,9,30,0,59,59],[1984,9,30,2,59,59],
          '1984032501:00:00','1984032503:00:00','1984093000:59:59','1984093002:59:59' ],
        [ [1984,9,30,1,0,0],[1984,9,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1985,3,31,0,59,59],[1985,3,31,1,59,59],
          '1984093001:00:00','1984093002:00:00','1985033100:59:59','1985033101:59:59' ],
     ],
   1985 =>
     [
        [ [1985,3,31,1,0,0],[1985,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1985,9,29,0,59,59],[1985,9,29,2,59,59],
          '1985033101:00:00','1985033103:00:00','1985092900:59:59','1985092902:59:59' ],
        [ [1985,9,29,1,0,0],[1985,9,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1986,3,30,0,59,59],[1986,3,30,1,59,59],
          '1985092901:00:00','1985092902:00:00','1986033000:59:59','1986033001:59:59' ],
     ],
   1986 =>
     [
        [ [1986,3,30,1,0,0],[1986,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1986,9,28,0,59,59],[1986,9,28,2,59,59],
          '1986033001:00:00','1986033003:00:00','1986092800:59:59','1986092802:59:59' ],
        [ [1986,9,28,1,0,0],[1986,9,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1987,3,29,0,59,59],[1987,3,29,1,59,59],
          '1986092801:00:00','1986092802:00:00','1987032900:59:59','1987032901:59:59' ],
     ],
   1987 =>
     [
        [ [1987,3,29,1,0,0],[1987,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1987,9,27,0,59,59],[1987,9,27,2,59,59],
          '1987032901:00:00','1987032903:00:00','1987092700:59:59','1987092702:59:59' ],
        [ [1987,9,27,1,0,0],[1987,9,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1988,3,27,0,59,59],[1988,3,27,1,59,59],
          '1987092701:00:00','1987092702:00:00','1988032700:59:59','1988032701:59:59' ],
     ],
   1988 =>
     [
        [ [1988,3,27,1,0,0],[1988,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1988,9,25,0,59,59],[1988,9,25,2,59,59],
          '1988032701:00:00','1988032703:00:00','1988092500:59:59','1988092502:59:59' ],
        [ [1988,9,25,1,0,0],[1988,9,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1989,3,26,0,59,59],[1989,3,26,1,59,59],
          '1988092501:00:00','1988092502:00:00','1989032600:59:59','1989032601:59:59' ],
     ],
   1989 =>
     [
        [ [1989,3,26,1,0,0],[1989,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1989,9,24,0,59,59],[1989,9,24,2,59,59],
          '1989032601:00:00','1989032603:00:00','1989092400:59:59','1989092402:59:59' ],
        [ [1989,9,24,1,0,0],[1989,9,24,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1990,3,25,0,59,59],[1990,3,25,1,59,59],
          '1989092401:00:00','1989092402:00:00','1990032500:59:59','1990032501:59:59' ],
     ],
   1990 =>
     [
        [ [1990,3,25,1,0,0],[1990,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1990,9,30,0,59,59],[1990,9,30,2,59,59],
          '1990032501:00:00','1990032503:00:00','1990093000:59:59','1990093002:59:59' ],
        [ [1990,9,30,1,0,0],[1990,9,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1991,3,31,0,59,59],[1991,3,31,1,59,59],
          '1990093001:00:00','1990093002:00:00','1991033100:59:59','1991033101:59:59' ],
     ],
   1991 =>
     [
        [ [1991,3,31,1,0,0],[1991,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1991,9,29,0,59,59],[1991,9,29,2,59,59],
          '1991033101:00:00','1991033103:00:00','1991092900:59:59','1991092902:59:59' ],
        [ [1991,9,29,1,0,0],[1991,9,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1992,3,29,0,59,59],[1992,3,29,1,59,59],
          '1991092901:00:00','1991092902:00:00','1992032900:59:59','1992032901:59:59' ],
     ],
   1992 =>
     [
        [ [1992,3,29,1,0,0],[1992,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1992,9,27,0,59,59],[1992,9,27,2,59,59],
          '1992032901:00:00','1992032903:00:00','1992092700:59:59','1992092702:59:59' ],
        [ [1992,9,27,1,0,0],[1992,9,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1993,3,28,0,59,59],[1993,3,28,1,59,59],
          '1992092701:00:00','1992092702:00:00','1993032800:59:59','1993032801:59:59' ],
     ],
   1993 =>
     [
        [ [1993,3,28,1,0,0],[1993,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1993,9,26,0,59,59],[1993,9,26,2,59,59],
          '1993032801:00:00','1993032803:00:00','1993092600:59:59','1993092602:59:59' ],
        [ [1993,9,26,1,0,0],[1993,9,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1994,3,27,0,59,59],[1994,3,27,1,59,59],
          '1993092601:00:00','1993092602:00:00','1994032700:59:59','1994032701:59:59' ],
     ],
   1994 =>
     [
        [ [1994,3,27,1,0,0],[1994,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1994,9,25,0,59,59],[1994,9,25,2,59,59],
          '1994032701:00:00','1994032703:00:00','1994092500:59:59','1994092502:59:59' ],
        [ [1994,9,25,1,0,0],[1994,9,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1995,3,26,0,59,59],[1995,3,26,1,59,59],
          '1994092501:00:00','1994092502:00:00','1995032600:59:59','1995032601:59:59' ],
     ],
   1995 =>
     [
        [ [1995,3,26,1,0,0],[1995,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1995,9,24,0,59,59],[1995,9,24,2,59,59],
          '1995032601:00:00','1995032603:00:00','1995092400:59:59','1995092402:59:59' ],
        [ [1995,9,24,1,0,0],[1995,9,24,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1996,3,31,0,59,59],[1996,3,31,1,59,59],
          '1995092401:00:00','1995092402:00:00','1996033100:59:59','1996033101:59:59' ],
     ],
   1996 =>
     [
        [ [1996,3,31,1,0,0],[1996,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1996,10,27,0,59,59],[1996,10,27,2,59,59],
          '1996033101:00:00','1996033103:00:00','1996102700:59:59','1996102702:59:59' ],
        [ [1996,10,27,1,0,0],[1996,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1997,3,30,0,59,59],[1997,3,30,1,59,59],
          '1996102701:00:00','1996102702:00:00','1997033000:59:59','1997033001:59:59' ],
     ],
   1997 =>
     [
        [ [1997,3,30,1,0,0],[1997,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1997,10,26,0,59,59],[1997,10,26,2,59,59],
          '1997033001:00:00','1997033003:00:00','1997102600:59:59','1997102602:59:59' ],
        [ [1997,10,26,1,0,0],[1997,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1998,3,29,0,59,59],[1998,3,29,1,59,59],
          '1997102601:00:00','1997102602:00:00','1998032900:59:59','1998032901:59:59' ],
     ],
   1998 =>
     [
        [ [1998,3,29,1,0,0],[1998,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1998,10,25,0,59,59],[1998,10,25,2,59,59],
          '1998032901:00:00','1998032903:00:00','1998102500:59:59','1998102502:59:59' ],
        [ [1998,10,25,1,0,0],[1998,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[1999,3,28,0,59,59],[1999,3,28,1,59,59],
          '1998102501:00:00','1998102502:00:00','1999032800:59:59','1999032801:59:59' ],
     ],
   1999 =>
     [
        [ [1999,3,28,1,0,0],[1999,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[1999,10,31,0,59,59],[1999,10,31,2,59,59],
          '1999032801:00:00','1999032803:00:00','1999103100:59:59','1999103102:59:59' ],
        [ [1999,10,31,1,0,0],[1999,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2000,3,26,0,59,59],[2000,3,26,1,59,59],
          '1999103101:00:00','1999103102:00:00','2000032600:59:59','2000032601:59:59' ],
     ],
   2000 =>
     [
        [ [2000,3,26,1,0,0],[2000,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2000,10,29,0,59,59],[2000,10,29,2,59,59],
          '2000032601:00:00','2000032603:00:00','2000102900:59:59','2000102902:59:59' ],
        [ [2000,10,29,1,0,0],[2000,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2001,3,25,0,59,59],[2001,3,25,1,59,59],
          '2000102901:00:00','2000102902:00:00','2001032500:59:59','2001032501:59:59' ],
     ],
   2001 =>
     [
        [ [2001,3,25,1,0,0],[2001,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2001,10,28,0,59,59],[2001,10,28,2,59,59],
          '2001032501:00:00','2001032503:00:00','2001102800:59:59','2001102802:59:59' ],
        [ [2001,10,28,1,0,0],[2001,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2002,3,31,0,59,59],[2002,3,31,1,59,59],
          '2001102801:00:00','2001102802:00:00','2002033100:59:59','2002033101:59:59' ],
     ],
   2002 =>
     [
        [ [2002,3,31,1,0,0],[2002,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2002,10,27,0,59,59],[2002,10,27,2,59,59],
          '2002033101:00:00','2002033103:00:00','2002102700:59:59','2002102702:59:59' ],
        [ [2002,10,27,1,0,0],[2002,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2003,3,30,0,59,59],[2003,3,30,1,59,59],
          '2002102701:00:00','2002102702:00:00','2003033000:59:59','2003033001:59:59' ],
     ],
   2003 =>
     [
        [ [2003,3,30,1,0,0],[2003,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2003,10,26,0,59,59],[2003,10,26,2,59,59],
          '2003033001:00:00','2003033003:00:00','2003102600:59:59','2003102602:59:59' ],
        [ [2003,10,26,1,0,0],[2003,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2004,3,28,0,59,59],[2004,3,28,1,59,59],
          '2003102601:00:00','2003102602:00:00','2004032800:59:59','2004032801:59:59' ],
     ],
   2004 =>
     [
        [ [2004,3,28,1,0,0],[2004,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2004,10,31,0,59,59],[2004,10,31,2,59,59],
          '2004032801:00:00','2004032803:00:00','2004103100:59:59','2004103102:59:59' ],
        [ [2004,10,31,1,0,0],[2004,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2005,3,27,0,59,59],[2005,3,27,1,59,59],
          '2004103101:00:00','2004103102:00:00','2005032700:59:59','2005032701:59:59' ],
     ],
   2005 =>
     [
        [ [2005,3,27,1,0,0],[2005,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2005,10,30,0,59,59],[2005,10,30,2,59,59],
          '2005032701:00:00','2005032703:00:00','2005103000:59:59','2005103002:59:59' ],
        [ [2005,10,30,1,0,0],[2005,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2006,3,26,0,59,59],[2006,3,26,1,59,59],
          '2005103001:00:00','2005103002:00:00','2006032600:59:59','2006032601:59:59' ],
     ],
   2006 =>
     [
        [ [2006,3,26,1,0,0],[2006,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2006,10,29,0,59,59],[2006,10,29,2,59,59],
          '2006032601:00:00','2006032603:00:00','2006102900:59:59','2006102902:59:59' ],
        [ [2006,10,29,1,0,0],[2006,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2007,3,25,0,59,59],[2007,3,25,1,59,59],
          '2006102901:00:00','2006102902:00:00','2007032500:59:59','2007032501:59:59' ],
     ],
   2007 =>
     [
        [ [2007,3,25,1,0,0],[2007,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2007,10,28,0,59,59],[2007,10,28,2,59,59],
          '2007032501:00:00','2007032503:00:00','2007102800:59:59','2007102802:59:59' ],
        [ [2007,10,28,1,0,0],[2007,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2008,3,30,0,59,59],[2008,3,30,1,59,59],
          '2007102801:00:00','2007102802:00:00','2008033000:59:59','2008033001:59:59' ],
     ],
   2008 =>
     [
        [ [2008,3,30,1,0,0],[2008,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2008,10,26,0,59,59],[2008,10,26,2,59,59],
          '2008033001:00:00','2008033003:00:00','2008102600:59:59','2008102602:59:59' ],
        [ [2008,10,26,1,0,0],[2008,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2009,3,29,0,59,59],[2009,3,29,1,59,59],
          '2008102601:00:00','2008102602:00:00','2009032900:59:59','2009032901:59:59' ],
     ],
   2009 =>
     [
        [ [2009,3,29,1,0,0],[2009,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2009,10,25,0,59,59],[2009,10,25,2,59,59],
          '2009032901:00:00','2009032903:00:00','2009102500:59:59','2009102502:59:59' ],
        [ [2009,10,25,1,0,0],[2009,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2010,3,28,0,59,59],[2010,3,28,1,59,59],
          '2009102501:00:00','2009102502:00:00','2010032800:59:59','2010032801:59:59' ],
     ],
   2010 =>
     [
        [ [2010,3,28,1,0,0],[2010,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2010,10,31,0,59,59],[2010,10,31,2,59,59],
          '2010032801:00:00','2010032803:00:00','2010103100:59:59','2010103102:59:59' ],
        [ [2010,10,31,1,0,0],[2010,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2011,3,27,0,59,59],[2011,3,27,1,59,59],
          '2010103101:00:00','2010103102:00:00','2011032700:59:59','2011032701:59:59' ],
     ],
   2011 =>
     [
        [ [2011,3,27,1,0,0],[2011,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2011,10,30,0,59,59],[2011,10,30,2,59,59],
          '2011032701:00:00','2011032703:00:00','2011103000:59:59','2011103002:59:59' ],
        [ [2011,10,30,1,0,0],[2011,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2012,3,25,0,59,59],[2012,3,25,1,59,59],
          '2011103001:00:00','2011103002:00:00','2012032500:59:59','2012032501:59:59' ],
     ],
   2012 =>
     [
        [ [2012,3,25,1,0,0],[2012,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2012,10,28,0,59,59],[2012,10,28,2,59,59],
          '2012032501:00:00','2012032503:00:00','2012102800:59:59','2012102802:59:59' ],
        [ [2012,10,28,1,0,0],[2012,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2013,3,31,0,59,59],[2013,3,31,1,59,59],
          '2012102801:00:00','2012102802:00:00','2013033100:59:59','2013033101:59:59' ],
     ],
   2013 =>
     [
        [ [2013,3,31,1,0,0],[2013,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2013,10,27,0,59,59],[2013,10,27,2,59,59],
          '2013033101:00:00','2013033103:00:00','2013102700:59:59','2013102702:59:59' ],
        [ [2013,10,27,1,0,0],[2013,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2014,3,30,0,59,59],[2014,3,30,1,59,59],
          '2013102701:00:00','2013102702:00:00','2014033000:59:59','2014033001:59:59' ],
     ],
   2014 =>
     [
        [ [2014,3,30,1,0,0],[2014,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2014,10,26,0,59,59],[2014,10,26,2,59,59],
          '2014033001:00:00','2014033003:00:00','2014102600:59:59','2014102602:59:59' ],
        [ [2014,10,26,1,0,0],[2014,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2015,3,29,0,59,59],[2015,3,29,1,59,59],
          '2014102601:00:00','2014102602:00:00','2015032900:59:59','2015032901:59:59' ],
     ],
   2015 =>
     [
        [ [2015,3,29,1,0,0],[2015,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2015,10,25,0,59,59],[2015,10,25,2,59,59],
          '2015032901:00:00','2015032903:00:00','2015102500:59:59','2015102502:59:59' ],
        [ [2015,10,25,1,0,0],[2015,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2016,3,27,0,59,59],[2016,3,27,1,59,59],
          '2015102501:00:00','2015102502:00:00','2016032700:59:59','2016032701:59:59' ],
     ],
   2016 =>
     [
        [ [2016,3,27,1,0,0],[2016,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2016,10,30,0,59,59],[2016,10,30,2,59,59],
          '2016032701:00:00','2016032703:00:00','2016103000:59:59','2016103002:59:59' ],
        [ [2016,10,30,1,0,0],[2016,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2017,3,26,0,59,59],[2017,3,26,1,59,59],
          '2016103001:00:00','2016103002:00:00','2017032600:59:59','2017032601:59:59' ],
     ],
   2017 =>
     [
        [ [2017,3,26,1,0,0],[2017,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2017,10,29,0,59,59],[2017,10,29,2,59,59],
          '2017032601:00:00','2017032603:00:00','2017102900:59:59','2017102902:59:59' ],
        [ [2017,10,29,1,0,0],[2017,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2018,3,25,0,59,59],[2018,3,25,1,59,59],
          '2017102901:00:00','2017102902:00:00','2018032500:59:59','2018032501:59:59' ],
     ],
   2018 =>
     [
        [ [2018,3,25,1,0,0],[2018,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2018,10,28,0,59,59],[2018,10,28,2,59,59],
          '2018032501:00:00','2018032503:00:00','2018102800:59:59','2018102802:59:59' ],
        [ [2018,10,28,1,0,0],[2018,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2019,3,31,0,59,59],[2019,3,31,1,59,59],
          '2018102801:00:00','2018102802:00:00','2019033100:59:59','2019033101:59:59' ],
     ],
   2019 =>
     [
        [ [2019,3,31,1,0,0],[2019,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2019,10,27,0,59,59],[2019,10,27,2,59,59],
          '2019033101:00:00','2019033103:00:00','2019102700:59:59','2019102702:59:59' ],
        [ [2019,10,27,1,0,0],[2019,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2020,3,29,0,59,59],[2020,3,29,1,59,59],
          '2019102701:00:00','2019102702:00:00','2020032900:59:59','2020032901:59:59' ],
     ],
   2020 =>
     [
        [ [2020,3,29,1,0,0],[2020,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2020,10,25,0,59,59],[2020,10,25,2,59,59],
          '2020032901:00:00','2020032903:00:00','2020102500:59:59','2020102502:59:59' ],
        [ [2020,10,25,1,0,0],[2020,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2021,3,28,0,59,59],[2021,3,28,1,59,59],
          '2020102501:00:00','2020102502:00:00','2021032800:59:59','2021032801:59:59' ],
     ],
   2021 =>
     [
        [ [2021,3,28,1,0,0],[2021,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2021,10,31,0,59,59],[2021,10,31,2,59,59],
          '2021032801:00:00','2021032803:00:00','2021103100:59:59','2021103102:59:59' ],
        [ [2021,10,31,1,0,0],[2021,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2022,3,27,0,59,59],[2022,3,27,1,59,59],
          '2021103101:00:00','2021103102:00:00','2022032700:59:59','2022032701:59:59' ],
     ],
   2022 =>
     [
        [ [2022,3,27,1,0,0],[2022,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2022,10,30,0,59,59],[2022,10,30,2,59,59],
          '2022032701:00:00','2022032703:00:00','2022103000:59:59','2022103002:59:59' ],
        [ [2022,10,30,1,0,0],[2022,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2023,3,26,0,59,59],[2023,3,26,1,59,59],
          '2022103001:00:00','2022103002:00:00','2023032600:59:59','2023032601:59:59' ],
     ],
   2023 =>
     [
        [ [2023,3,26,1,0,0],[2023,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2023,10,29,0,59,59],[2023,10,29,2,59,59],
          '2023032601:00:00','2023032603:00:00','2023102900:59:59','2023102902:59:59' ],
        [ [2023,10,29,1,0,0],[2023,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2024,3,31,0,59,59],[2024,3,31,1,59,59],
          '2023102901:00:00','2023102902:00:00','2024033100:59:59','2024033101:59:59' ],
     ],
   2024 =>
     [
        [ [2024,3,31,1,0,0],[2024,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2024,10,27,0,59,59],[2024,10,27,2,59,59],
          '2024033101:00:00','2024033103:00:00','2024102700:59:59','2024102702:59:59' ],
        [ [2024,10,27,1,0,0],[2024,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2025,3,30,0,59,59],[2025,3,30,1,59,59],
          '2024102701:00:00','2024102702:00:00','2025033000:59:59','2025033001:59:59' ],
     ],
   2025 =>
     [
        [ [2025,3,30,1,0,0],[2025,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2025,10,26,0,59,59],[2025,10,26,2,59,59],
          '2025033001:00:00','2025033003:00:00','2025102600:59:59','2025102602:59:59' ],
        [ [2025,10,26,1,0,0],[2025,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2026,3,29,0,59,59],[2026,3,29,1,59,59],
          '2025102601:00:00','2025102602:00:00','2026032900:59:59','2026032901:59:59' ],
     ],
   2026 =>
     [
        [ [2026,3,29,1,0,0],[2026,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2026,10,25,0,59,59],[2026,10,25,2,59,59],
          '2026032901:00:00','2026032903:00:00','2026102500:59:59','2026102502:59:59' ],
        [ [2026,10,25,1,0,0],[2026,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2027,3,28,0,59,59],[2027,3,28,1,59,59],
          '2026102501:00:00','2026102502:00:00','2027032800:59:59','2027032801:59:59' ],
     ],
   2027 =>
     [
        [ [2027,3,28,1,0,0],[2027,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2027,10,31,0,59,59],[2027,10,31,2,59,59],
          '2027032801:00:00','2027032803:00:00','2027103100:59:59','2027103102:59:59' ],
        [ [2027,10,31,1,0,0],[2027,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2028,3,26,0,59,59],[2028,3,26,1,59,59],
          '2027103101:00:00','2027103102:00:00','2028032600:59:59','2028032601:59:59' ],
     ],
   2028 =>
     [
        [ [2028,3,26,1,0,0],[2028,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2028,10,29,0,59,59],[2028,10,29,2,59,59],
          '2028032601:00:00','2028032603:00:00','2028102900:59:59','2028102902:59:59' ],
        [ [2028,10,29,1,0,0],[2028,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2029,3,25,0,59,59],[2029,3,25,1,59,59],
          '2028102901:00:00','2028102902:00:00','2029032500:59:59','2029032501:59:59' ],
     ],
   2029 =>
     [
        [ [2029,3,25,1,0,0],[2029,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2029,10,28,0,59,59],[2029,10,28,2,59,59],
          '2029032501:00:00','2029032503:00:00','2029102800:59:59','2029102802:59:59' ],
        [ [2029,10,28,1,0,0],[2029,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2030,3,31,0,59,59],[2030,3,31,1,59,59],
          '2029102801:00:00','2029102802:00:00','2030033100:59:59','2030033101:59:59' ],
     ],
   2030 =>
     [
        [ [2030,3,31,1,0,0],[2030,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2030,10,27,0,59,59],[2030,10,27,2,59,59],
          '2030033101:00:00','2030033103:00:00','2030102700:59:59','2030102702:59:59' ],
        [ [2030,10,27,1,0,0],[2030,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2031,3,30,0,59,59],[2031,3,30,1,59,59],
          '2030102701:00:00','2030102702:00:00','2031033000:59:59','2031033001:59:59' ],
     ],
   2031 =>
     [
        [ [2031,3,30,1,0,0],[2031,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2031,10,26,0,59,59],[2031,10,26,2,59,59],
          '2031033001:00:00','2031033003:00:00','2031102600:59:59','2031102602:59:59' ],
        [ [2031,10,26,1,0,0],[2031,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2032,3,28,0,59,59],[2032,3,28,1,59,59],
          '2031102601:00:00','2031102602:00:00','2032032800:59:59','2032032801:59:59' ],
     ],
   2032 =>
     [
        [ [2032,3,28,1,0,0],[2032,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2032,10,31,0,59,59],[2032,10,31,2,59,59],
          '2032032801:00:00','2032032803:00:00','2032103100:59:59','2032103102:59:59' ],
        [ [2032,10,31,1,0,0],[2032,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2033,3,27,0,59,59],[2033,3,27,1,59,59],
          '2032103101:00:00','2032103102:00:00','2033032700:59:59','2033032701:59:59' ],
     ],
   2033 =>
     [
        [ [2033,3,27,1,0,0],[2033,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2033,10,30,0,59,59],[2033,10,30,2,59,59],
          '2033032701:00:00','2033032703:00:00','2033103000:59:59','2033103002:59:59' ],
        [ [2033,10,30,1,0,0],[2033,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2034,3,26,0,59,59],[2034,3,26,1,59,59],
          '2033103001:00:00','2033103002:00:00','2034032600:59:59','2034032601:59:59' ],
     ],
   2034 =>
     [
        [ [2034,3,26,1,0,0],[2034,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2034,10,29,0,59,59],[2034,10,29,2,59,59],
          '2034032601:00:00','2034032603:00:00','2034102900:59:59','2034102902:59:59' ],
        [ [2034,10,29,1,0,0],[2034,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2035,3,25,0,59,59],[2035,3,25,1,59,59],
          '2034102901:00:00','2034102902:00:00','2035032500:59:59','2035032501:59:59' ],
     ],
   2035 =>
     [
        [ [2035,3,25,1,0,0],[2035,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2035,10,28,0,59,59],[2035,10,28,2,59,59],
          '2035032501:00:00','2035032503:00:00','2035102800:59:59','2035102802:59:59' ],
        [ [2035,10,28,1,0,0],[2035,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2036,3,30,0,59,59],[2036,3,30,1,59,59],
          '2035102801:00:00','2035102802:00:00','2036033000:59:59','2036033001:59:59' ],
     ],
   2036 =>
     [
        [ [2036,3,30,1,0,0],[2036,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2036,10,26,0,59,59],[2036,10,26,2,59,59],
          '2036033001:00:00','2036033003:00:00','2036102600:59:59','2036102602:59:59' ],
        [ [2036,10,26,1,0,0],[2036,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2037,3,29,0,59,59],[2037,3,29,1,59,59],
          '2036102601:00:00','2036102602:00:00','2037032900:59:59','2037032901:59:59' ],
     ],
   2037 =>
     [
        [ [2037,3,29,1,0,0],[2037,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2037,10,25,0,59,59],[2037,10,25,2,59,59],
          '2037032901:00:00','2037032903:00:00','2037102500:59:59','2037102502:59:59' ],
        [ [2037,10,25,1,0,0],[2037,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2038,3,28,0,59,59],[2038,3,28,1,59,59],
          '2037102501:00:00','2037102502:00:00','2038032800:59:59','2038032801:59:59' ],
     ],
   2038 =>
     [
        [ [2038,3,28,1,0,0],[2038,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2038,10,31,0,59,59],[2038,10,31,2,59,59],
          '2038032801:00:00','2038032803:00:00','2038103100:59:59','2038103102:59:59' ],
        [ [2038,10,31,1,0,0],[2038,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2039,3,27,0,59,59],[2039,3,27,1,59,59],
          '2038103101:00:00','2038103102:00:00','2039032700:59:59','2039032701:59:59' ],
     ],
   2039 =>
     [
        [ [2039,3,27,1,0,0],[2039,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2039,10,30,0,59,59],[2039,10,30,2,59,59],
          '2039032701:00:00','2039032703:00:00','2039103000:59:59','2039103002:59:59' ],
        [ [2039,10,30,1,0,0],[2039,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2040,3,25,0,59,59],[2040,3,25,1,59,59],
          '2039103001:00:00','2039103002:00:00','2040032500:59:59','2040032501:59:59' ],
     ],
   2040 =>
     [
        [ [2040,3,25,1,0,0],[2040,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2040,10,28,0,59,59],[2040,10,28,2,59,59],
          '2040032501:00:00','2040032503:00:00','2040102800:59:59','2040102802:59:59' ],
        [ [2040,10,28,1,0,0],[2040,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2041,3,31,0,59,59],[2041,3,31,1,59,59],
          '2040102801:00:00','2040102802:00:00','2041033100:59:59','2041033101:59:59' ],
     ],
   2041 =>
     [
        [ [2041,3,31,1,0,0],[2041,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2041,10,27,0,59,59],[2041,10,27,2,59,59],
          '2041033101:00:00','2041033103:00:00','2041102700:59:59','2041102702:59:59' ],
        [ [2041,10,27,1,0,0],[2041,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2042,3,30,0,59,59],[2042,3,30,1,59,59],
          '2041102701:00:00','2041102702:00:00','2042033000:59:59','2042033001:59:59' ],
     ],
   2042 =>
     [
        [ [2042,3,30,1,0,0],[2042,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2042,10,26,0,59,59],[2042,10,26,2,59,59],
          '2042033001:00:00','2042033003:00:00','2042102600:59:59','2042102602:59:59' ],
        [ [2042,10,26,1,0,0],[2042,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2043,3,29,0,59,59],[2043,3,29,1,59,59],
          '2042102601:00:00','2042102602:00:00','2043032900:59:59','2043032901:59:59' ],
     ],
   2043 =>
     [
        [ [2043,3,29,1,0,0],[2043,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2043,10,25,0,59,59],[2043,10,25,2,59,59],
          '2043032901:00:00','2043032903:00:00','2043102500:59:59','2043102502:59:59' ],
        [ [2043,10,25,1,0,0],[2043,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2044,3,27,0,59,59],[2044,3,27,1,59,59],
          '2043102501:00:00','2043102502:00:00','2044032700:59:59','2044032701:59:59' ],
     ],
   2044 =>
     [
        [ [2044,3,27,1,0,0],[2044,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2044,10,30,0,59,59],[2044,10,30,2,59,59],
          '2044032701:00:00','2044032703:00:00','2044103000:59:59','2044103002:59:59' ],
        [ [2044,10,30,1,0,0],[2044,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2045,3,26,0,59,59],[2045,3,26,1,59,59],
          '2044103001:00:00','2044103002:00:00','2045032600:59:59','2045032601:59:59' ],
     ],
   2045 =>
     [
        [ [2045,3,26,1,0,0],[2045,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2045,10,29,0,59,59],[2045,10,29,2,59,59],
          '2045032601:00:00','2045032603:00:00','2045102900:59:59','2045102902:59:59' ],
        [ [2045,10,29,1,0,0],[2045,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2046,3,25,0,59,59],[2046,3,25,1,59,59],
          '2045102901:00:00','2045102902:00:00','2046032500:59:59','2046032501:59:59' ],
     ],
   2046 =>
     [
        [ [2046,3,25,1,0,0],[2046,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2046,10,28,0,59,59],[2046,10,28,2,59,59],
          '2046032501:00:00','2046032503:00:00','2046102800:59:59','2046102802:59:59' ],
        [ [2046,10,28,1,0,0],[2046,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2047,3,31,0,59,59],[2047,3,31,1,59,59],
          '2046102801:00:00','2046102802:00:00','2047033100:59:59','2047033101:59:59' ],
     ],
   2047 =>
     [
        [ [2047,3,31,1,0,0],[2047,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2047,10,27,0,59,59],[2047,10,27,2,59,59],
          '2047033101:00:00','2047033103:00:00','2047102700:59:59','2047102702:59:59' ],
        [ [2047,10,27,1,0,0],[2047,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2048,3,29,0,59,59],[2048,3,29,1,59,59],
          '2047102701:00:00','2047102702:00:00','2048032900:59:59','2048032901:59:59' ],
     ],
   2048 =>
     [
        [ [2048,3,29,1,0,0],[2048,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2048,10,25,0,59,59],[2048,10,25,2,59,59],
          '2048032901:00:00','2048032903:00:00','2048102500:59:59','2048102502:59:59' ],
        [ [2048,10,25,1,0,0],[2048,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2049,3,28,0,59,59],[2049,3,28,1,59,59],
          '2048102501:00:00','2048102502:00:00','2049032800:59:59','2049032801:59:59' ],
     ],
   2049 =>
     [
        [ [2049,3,28,1,0,0],[2049,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2049,10,31,0,59,59],[2049,10,31,2,59,59],
          '2049032801:00:00','2049032803:00:00','2049103100:59:59','2049103102:59:59' ],
        [ [2049,10,31,1,0,0],[2049,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2050,3,27,0,59,59],[2050,3,27,1,59,59],
          '2049103101:00:00','2049103102:00:00','2050032700:59:59','2050032701:59:59' ],
     ],
   2050 =>
     [
        [ [2050,3,27,1,0,0],[2050,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2050,10,30,0,59,59],[2050,10,30,2,59,59],
          '2050032701:00:00','2050032703:00:00','2050103000:59:59','2050103002:59:59' ],
        [ [2050,10,30,1,0,0],[2050,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2051,3,26,0,59,59],[2051,3,26,1,59,59],
          '2050103001:00:00','2050103002:00:00','2051032600:59:59','2051032601:59:59' ],
     ],
   2051 =>
     [
        [ [2051,3,26,1,0,0],[2051,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2051,10,29,0,59,59],[2051,10,29,2,59,59],
          '2051032601:00:00','2051032603:00:00','2051102900:59:59','2051102902:59:59' ],
        [ [2051,10,29,1,0,0],[2051,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2052,3,31,0,59,59],[2052,3,31,1,59,59],
          '2051102901:00:00','2051102902:00:00','2052033100:59:59','2052033101:59:59' ],
     ],
   2052 =>
     [
        [ [2052,3,31,1,0,0],[2052,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2052,10,27,0,59,59],[2052,10,27,2,59,59],
          '2052033101:00:00','2052033103:00:00','2052102700:59:59','2052102702:59:59' ],
        [ [2052,10,27,1,0,0],[2052,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2053,3,30,0,59,59],[2053,3,30,1,59,59],
          '2052102701:00:00','2052102702:00:00','2053033000:59:59','2053033001:59:59' ],
     ],
   2053 =>
     [
        [ [2053,3,30,1,0,0],[2053,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2053,10,26,0,59,59],[2053,10,26,2,59,59],
          '2053033001:00:00','2053033003:00:00','2053102600:59:59','2053102602:59:59' ],
        [ [2053,10,26,1,0,0],[2053,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2054,3,29,0,59,59],[2054,3,29,1,59,59],
          '2053102601:00:00','2053102602:00:00','2054032900:59:59','2054032901:59:59' ],
     ],
   2054 =>
     [
        [ [2054,3,29,1,0,0],[2054,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2054,10,25,0,59,59],[2054,10,25,2,59,59],
          '2054032901:00:00','2054032903:00:00','2054102500:59:59','2054102502:59:59' ],
        [ [2054,10,25,1,0,0],[2054,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2055,3,28,0,59,59],[2055,3,28,1,59,59],
          '2054102501:00:00','2054102502:00:00','2055032800:59:59','2055032801:59:59' ],
     ],
   2055 =>
     [
        [ [2055,3,28,1,0,0],[2055,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2055,10,31,0,59,59],[2055,10,31,2,59,59],
          '2055032801:00:00','2055032803:00:00','2055103100:59:59','2055103102:59:59' ],
        [ [2055,10,31,1,0,0],[2055,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2056,3,26,0,59,59],[2056,3,26,1,59,59],
          '2055103101:00:00','2055103102:00:00','2056032600:59:59','2056032601:59:59' ],
     ],
   2056 =>
     [
        [ [2056,3,26,1,0,0],[2056,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2056,10,29,0,59,59],[2056,10,29,2,59,59],
          '2056032601:00:00','2056032603:00:00','2056102900:59:59','2056102902:59:59' ],
        [ [2056,10,29,1,0,0],[2056,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2057,3,25,0,59,59],[2057,3,25,1,59,59],
          '2056102901:00:00','2056102902:00:00','2057032500:59:59','2057032501:59:59' ],
     ],
   2057 =>
     [
        [ [2057,3,25,1,0,0],[2057,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2057,10,28,0,59,59],[2057,10,28,2,59,59],
          '2057032501:00:00','2057032503:00:00','2057102800:59:59','2057102802:59:59' ],
        [ [2057,10,28,1,0,0],[2057,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2058,3,31,0,59,59],[2058,3,31,1,59,59],
          '2057102801:00:00','2057102802:00:00','2058033100:59:59','2058033101:59:59' ],
     ],
   2058 =>
     [
        [ [2058,3,31,1,0,0],[2058,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2058,10,27,0,59,59],[2058,10,27,2,59,59],
          '2058033101:00:00','2058033103:00:00','2058102700:59:59','2058102702:59:59' ],
        [ [2058,10,27,1,0,0],[2058,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2059,3,30,0,59,59],[2059,3,30,1,59,59],
          '2058102701:00:00','2058102702:00:00','2059033000:59:59','2059033001:59:59' ],
     ],
   2059 =>
     [
        [ [2059,3,30,1,0,0],[2059,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2059,10,26,0,59,59],[2059,10,26,2,59,59],
          '2059033001:00:00','2059033003:00:00','2059102600:59:59','2059102602:59:59' ],
        [ [2059,10,26,1,0,0],[2059,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2060,3,28,0,59,59],[2060,3,28,1,59,59],
          '2059102601:00:00','2059102602:00:00','2060032800:59:59','2060032801:59:59' ],
     ],
   2060 =>
     [
        [ [2060,3,28,1,0,0],[2060,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2060,10,31,0,59,59],[2060,10,31,2,59,59],
          '2060032801:00:00','2060032803:00:00','2060103100:59:59','2060103102:59:59' ],
        [ [2060,10,31,1,0,0],[2060,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2061,3,27,0,59,59],[2061,3,27,1,59,59],
          '2060103101:00:00','2060103102:00:00','2061032700:59:59','2061032701:59:59' ],
     ],
   2061 =>
     [
        [ [2061,3,27,1,0,0],[2061,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2061,10,30,0,59,59],[2061,10,30,2,59,59],
          '2061032701:00:00','2061032703:00:00','2061103000:59:59','2061103002:59:59' ],
        [ [2061,10,30,1,0,0],[2061,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2062,3,26,0,59,59],[2062,3,26,1,59,59],
          '2061103001:00:00','2061103002:00:00','2062032600:59:59','2062032601:59:59' ],
     ],
   2062 =>
     [
        [ [2062,3,26,1,0,0],[2062,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2062,10,29,0,59,59],[2062,10,29,2,59,59],
          '2062032601:00:00','2062032603:00:00','2062102900:59:59','2062102902:59:59' ],
        [ [2062,10,29,1,0,0],[2062,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2063,3,25,0,59,59],[2063,3,25,1,59,59],
          '2062102901:00:00','2062102902:00:00','2063032500:59:59','2063032501:59:59' ],
     ],
   2063 =>
     [
        [ [2063,3,25,1,0,0],[2063,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2063,10,28,0,59,59],[2063,10,28,2,59,59],
          '2063032501:00:00','2063032503:00:00','2063102800:59:59','2063102802:59:59' ],
        [ [2063,10,28,1,0,0],[2063,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2064,3,30,0,59,59],[2064,3,30,1,59,59],
          '2063102801:00:00','2063102802:00:00','2064033000:59:59','2064033001:59:59' ],
     ],
   2064 =>
     [
        [ [2064,3,30,1,0,0],[2064,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2064,10,26,0,59,59],[2064,10,26,2,59,59],
          '2064033001:00:00','2064033003:00:00','2064102600:59:59','2064102602:59:59' ],
        [ [2064,10,26,1,0,0],[2064,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2065,3,29,0,59,59],[2065,3,29,1,59,59],
          '2064102601:00:00','2064102602:00:00','2065032900:59:59','2065032901:59:59' ],
     ],
   2065 =>
     [
        [ [2065,3,29,1,0,0],[2065,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2065,10,25,0,59,59],[2065,10,25,2,59,59],
          '2065032901:00:00','2065032903:00:00','2065102500:59:59','2065102502:59:59' ],
        [ [2065,10,25,1,0,0],[2065,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2066,3,28,0,59,59],[2066,3,28,1,59,59],
          '2065102501:00:00','2065102502:00:00','2066032800:59:59','2066032801:59:59' ],
     ],
   2066 =>
     [
        [ [2066,3,28,1,0,0],[2066,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2066,10,31,0,59,59],[2066,10,31,2,59,59],
          '2066032801:00:00','2066032803:00:00','2066103100:59:59','2066103102:59:59' ],
        [ [2066,10,31,1,0,0],[2066,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2067,3,27,0,59,59],[2067,3,27,1,59,59],
          '2066103101:00:00','2066103102:00:00','2067032700:59:59','2067032701:59:59' ],
     ],
   2067 =>
     [
        [ [2067,3,27,1,0,0],[2067,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2067,10,30,0,59,59],[2067,10,30,2,59,59],
          '2067032701:00:00','2067032703:00:00','2067103000:59:59','2067103002:59:59' ],
        [ [2067,10,30,1,0,0],[2067,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2068,3,25,0,59,59],[2068,3,25,1,59,59],
          '2067103001:00:00','2067103002:00:00','2068032500:59:59','2068032501:59:59' ],
     ],
   2068 =>
     [
        [ [2068,3,25,1,0,0],[2068,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2068,10,28,0,59,59],[2068,10,28,2,59,59],
          '2068032501:00:00','2068032503:00:00','2068102800:59:59','2068102802:59:59' ],
        [ [2068,10,28,1,0,0],[2068,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2069,3,31,0,59,59],[2069,3,31,1,59,59],
          '2068102801:00:00','2068102802:00:00','2069033100:59:59','2069033101:59:59' ],
     ],
   2069 =>
     [
        [ [2069,3,31,1,0,0],[2069,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2069,10,27,0,59,59],[2069,10,27,2,59,59],
          '2069033101:00:00','2069033103:00:00','2069102700:59:59','2069102702:59:59' ],
        [ [2069,10,27,1,0,0],[2069,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2070,3,30,0,59,59],[2070,3,30,1,59,59],
          '2069102701:00:00','2069102702:00:00','2070033000:59:59','2070033001:59:59' ],
     ],
   2070 =>
     [
        [ [2070,3,30,1,0,0],[2070,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2070,10,26,0,59,59],[2070,10,26,2,59,59],
          '2070033001:00:00','2070033003:00:00','2070102600:59:59','2070102602:59:59' ],
        [ [2070,10,26,1,0,0],[2070,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2071,3,29,0,59,59],[2071,3,29,1,59,59],
          '2070102601:00:00','2070102602:00:00','2071032900:59:59','2071032901:59:59' ],
     ],
   2071 =>
     [
        [ [2071,3,29,1,0,0],[2071,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2071,10,25,0,59,59],[2071,10,25,2,59,59],
          '2071032901:00:00','2071032903:00:00','2071102500:59:59','2071102502:59:59' ],
        [ [2071,10,25,1,0,0],[2071,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2072,3,27,0,59,59],[2072,3,27,1,59,59],
          '2071102501:00:00','2071102502:00:00','2072032700:59:59','2072032701:59:59' ],
     ],
   2072 =>
     [
        [ [2072,3,27,1,0,0],[2072,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2072,10,30,0,59,59],[2072,10,30,2,59,59],
          '2072032701:00:00','2072032703:00:00','2072103000:59:59','2072103002:59:59' ],
        [ [2072,10,30,1,0,0],[2072,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2073,3,26,0,59,59],[2073,3,26,1,59,59],
          '2072103001:00:00','2072103002:00:00','2073032600:59:59','2073032601:59:59' ],
     ],
   2073 =>
     [
        [ [2073,3,26,1,0,0],[2073,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2073,10,29,0,59,59],[2073,10,29,2,59,59],
          '2073032601:00:00','2073032603:00:00','2073102900:59:59','2073102902:59:59' ],
        [ [2073,10,29,1,0,0],[2073,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2074,3,25,0,59,59],[2074,3,25,1,59,59],
          '2073102901:00:00','2073102902:00:00','2074032500:59:59','2074032501:59:59' ],
     ],
   2074 =>
     [
        [ [2074,3,25,1,0,0],[2074,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2074,10,28,0,59,59],[2074,10,28,2,59,59],
          '2074032501:00:00','2074032503:00:00','2074102800:59:59','2074102802:59:59' ],
        [ [2074,10,28,1,0,0],[2074,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2075,3,31,0,59,59],[2075,3,31,1,59,59],
          '2074102801:00:00','2074102802:00:00','2075033100:59:59','2075033101:59:59' ],
     ],
   2075 =>
     [
        [ [2075,3,31,1,0,0],[2075,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2075,10,27,0,59,59],[2075,10,27,2,59,59],
          '2075033101:00:00','2075033103:00:00','2075102700:59:59','2075102702:59:59' ],
        [ [2075,10,27,1,0,0],[2075,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2076,3,29,0,59,59],[2076,3,29,1,59,59],
          '2075102701:00:00','2075102702:00:00','2076032900:59:59','2076032901:59:59' ],
     ],
   2076 =>
     [
        [ [2076,3,29,1,0,0],[2076,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2076,10,25,0,59,59],[2076,10,25,2,59,59],
          '2076032901:00:00','2076032903:00:00','2076102500:59:59','2076102502:59:59' ],
        [ [2076,10,25,1,0,0],[2076,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2077,3,28,0,59,59],[2077,3,28,1,59,59],
          '2076102501:00:00','2076102502:00:00','2077032800:59:59','2077032801:59:59' ],
     ],
   2077 =>
     [
        [ [2077,3,28,1,0,0],[2077,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2077,10,31,0,59,59],[2077,10,31,2,59,59],
          '2077032801:00:00','2077032803:00:00','2077103100:59:59','2077103102:59:59' ],
        [ [2077,10,31,1,0,0],[2077,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2078,3,27,0,59,59],[2078,3,27,1,59,59],
          '2077103101:00:00','2077103102:00:00','2078032700:59:59','2078032701:59:59' ],
     ],
   2078 =>
     [
        [ [2078,3,27,1,0,0],[2078,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2078,10,30,0,59,59],[2078,10,30,2,59,59],
          '2078032701:00:00','2078032703:00:00','2078103000:59:59','2078103002:59:59' ],
        [ [2078,10,30,1,0,0],[2078,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2079,3,26,0,59,59],[2079,3,26,1,59,59],
          '2078103001:00:00','2078103002:00:00','2079032600:59:59','2079032601:59:59' ],
     ],
   2079 =>
     [
        [ [2079,3,26,1,0,0],[2079,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2079,10,29,0,59,59],[2079,10,29,2,59,59],
          '2079032601:00:00','2079032603:00:00','2079102900:59:59','2079102902:59:59' ],
        [ [2079,10,29,1,0,0],[2079,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2080,3,31,0,59,59],[2080,3,31,1,59,59],
          '2079102901:00:00','2079102902:00:00','2080033100:59:59','2080033101:59:59' ],
     ],
   2080 =>
     [
        [ [2080,3,31,1,0,0],[2080,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2080,10,27,0,59,59],[2080,10,27,2,59,59],
          '2080033101:00:00','2080033103:00:00','2080102700:59:59','2080102702:59:59' ],
        [ [2080,10,27,1,0,0],[2080,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2081,3,30,0,59,59],[2081,3,30,1,59,59],
          '2080102701:00:00','2080102702:00:00','2081033000:59:59','2081033001:59:59' ],
     ],
   2081 =>
     [
        [ [2081,3,30,1,0,0],[2081,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2081,10,26,0,59,59],[2081,10,26,2,59,59],
          '2081033001:00:00','2081033003:00:00','2081102600:59:59','2081102602:59:59' ],
        [ [2081,10,26,1,0,0],[2081,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2082,3,29,0,59,59],[2082,3,29,1,59,59],
          '2081102601:00:00','2081102602:00:00','2082032900:59:59','2082032901:59:59' ],
     ],
   2082 =>
     [
        [ [2082,3,29,1,0,0],[2082,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2082,10,25,0,59,59],[2082,10,25,2,59,59],
          '2082032901:00:00','2082032903:00:00','2082102500:59:59','2082102502:59:59' ],
        [ [2082,10,25,1,0,0],[2082,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2083,3,28,0,59,59],[2083,3,28,1,59,59],
          '2082102501:00:00','2082102502:00:00','2083032800:59:59','2083032801:59:59' ],
     ],
   2083 =>
     [
        [ [2083,3,28,1,0,0],[2083,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2083,10,31,0,59,59],[2083,10,31,2,59,59],
          '2083032801:00:00','2083032803:00:00','2083103100:59:59','2083103102:59:59' ],
        [ [2083,10,31,1,0,0],[2083,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2084,3,26,0,59,59],[2084,3,26,1,59,59],
          '2083103101:00:00','2083103102:00:00','2084032600:59:59','2084032601:59:59' ],
     ],
   2084 =>
     [
        [ [2084,3,26,1,0,0],[2084,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2084,10,29,0,59,59],[2084,10,29,2,59,59],
          '2084032601:00:00','2084032603:00:00','2084102900:59:59','2084102902:59:59' ],
        [ [2084,10,29,1,0,0],[2084,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2085,3,25,0,59,59],[2085,3,25,1,59,59],
          '2084102901:00:00','2084102902:00:00','2085032500:59:59','2085032501:59:59' ],
     ],
   2085 =>
     [
        [ [2085,3,25,1,0,0],[2085,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2085,10,28,0,59,59],[2085,10,28,2,59,59],
          '2085032501:00:00','2085032503:00:00','2085102800:59:59','2085102802:59:59' ],
        [ [2085,10,28,1,0,0],[2085,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2086,3,31,0,59,59],[2086,3,31,1,59,59],
          '2085102801:00:00','2085102802:00:00','2086033100:59:59','2086033101:59:59' ],
     ],
   2086 =>
     [
        [ [2086,3,31,1,0,0],[2086,3,31,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2086,10,27,0,59,59],[2086,10,27,2,59,59],
          '2086033101:00:00','2086033103:00:00','2086102700:59:59','2086102702:59:59' ],
        [ [2086,10,27,1,0,0],[2086,10,27,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2087,3,30,0,59,59],[2087,3,30,1,59,59],
          '2086102701:00:00','2086102702:00:00','2087033000:59:59','2087033001:59:59' ],
     ],
   2087 =>
     [
        [ [2087,3,30,1,0,0],[2087,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2087,10,26,0,59,59],[2087,10,26,2,59,59],
          '2087033001:00:00','2087033003:00:00','2087102600:59:59','2087102602:59:59' ],
        [ [2087,10,26,1,0,0],[2087,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2088,3,28,0,59,59],[2088,3,28,1,59,59],
          '2087102601:00:00','2087102602:00:00','2088032800:59:59','2088032801:59:59' ],
     ],
   2088 =>
     [
        [ [2088,3,28,1,0,0],[2088,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2088,10,31,0,59,59],[2088,10,31,2,59,59],
          '2088032801:00:00','2088032803:00:00','2088103100:59:59','2088103102:59:59' ],
        [ [2088,10,31,1,0,0],[2088,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2089,3,27,0,59,59],[2089,3,27,1,59,59],
          '2088103101:00:00','2088103102:00:00','2089032700:59:59','2089032701:59:59' ],
     ],
   2089 =>
     [
        [ [2089,3,27,1,0,0],[2089,3,27,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2089,10,30,0,59,59],[2089,10,30,2,59,59],
          '2089032701:00:00','2089032703:00:00','2089103000:59:59','2089103002:59:59' ],
        [ [2089,10,30,1,0,0],[2089,10,30,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2090,3,26,0,59,59],[2090,3,26,1,59,59],
          '2089103001:00:00','2089103002:00:00','2090032600:59:59','2090032601:59:59' ],
     ],
   2090 =>
     [
        [ [2090,3,26,1,0,0],[2090,3,26,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2090,10,29,0,59,59],[2090,10,29,2,59,59],
          '2090032601:00:00','2090032603:00:00','2090102900:59:59','2090102902:59:59' ],
        [ [2090,10,29,1,0,0],[2090,10,29,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2091,3,25,0,59,59],[2091,3,25,1,59,59],
          '2090102901:00:00','2090102902:00:00','2091032500:59:59','2091032501:59:59' ],
     ],
   2091 =>
     [
        [ [2091,3,25,1,0,0],[2091,3,25,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2091,10,28,0,59,59],[2091,10,28,2,59,59],
          '2091032501:00:00','2091032503:00:00','2091102800:59:59','2091102802:59:59' ],
        [ [2091,10,28,1,0,0],[2091,10,28,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2092,3,30,0,59,59],[2092,3,30,1,59,59],
          '2091102801:00:00','2091102802:00:00','2092033000:59:59','2092033001:59:59' ],
     ],
   2092 =>
     [
        [ [2092,3,30,1,0,0],[2092,3,30,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2092,10,26,0,59,59],[2092,10,26,2,59,59],
          '2092033001:00:00','2092033003:00:00','2092102600:59:59','2092102602:59:59' ],
        [ [2092,10,26,1,0,0],[2092,10,26,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2093,3,29,0,59,59],[2093,3,29,1,59,59],
          '2092102601:00:00','2092102602:00:00','2093032900:59:59','2093032901:59:59' ],
     ],
   2093 =>
     [
        [ [2093,3,29,1,0,0],[2093,3,29,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2093,10,25,0,59,59],[2093,10,25,2,59,59],
          '2093032901:00:00','2093032903:00:00','2093102500:59:59','2093102502:59:59' ],
        [ [2093,10,25,1,0,0],[2093,10,25,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2094,3,28,0,59,59],[2094,3,28,1,59,59],
          '2093102501:00:00','2093102502:00:00','2094032800:59:59','2094032801:59:59' ],
     ],
   2094 =>
     [
        [ [2094,3,28,1,0,0],[2094,3,28,3,0,0],'+02:00:00',[2,0,0],
          'CEST',1,[2094,10,31,0,59,59],[2094,10,31,2,59,59],
          '2094032801:00:00','2094032803:00:00','2094103100:59:59','2094103102:59:59' ],
        [ [2094,10,31,1,0,0],[2094,10,31,2,0,0],'+01:00:00',[1,0,0],
          'CET',0,[2095,3,27,0,59,59],[2095,3,27,1,59,59],
          '2094103101:00:00','2094103102:00:00','2095032700:59:59','2095032701:59:59' ],
     ],
);

%LastRule      = (
   'zone'   => {
                'dstoff' => '+02:00:00',
                'stdoff' => '+01:00:00',
               },
   'rules'  => {
                '03' => {
                         'flag'    => 'last',
                         'dow'     => '7',
                         'num'     => '0',
                         'type'    => 'u',
                         'time'    => '01:00:00',
                         'isdst'   => '1',
                         'abb'     => 'CEST',
                        },
                '10' => {
                         'flag'    => 'last',
                         'dow'     => '7',
                         'num'     => '0',
                         'type'    => 'u',
                         'time'    => '01:00:00',
                         'isdst'   => '0',
                         'abb'     => 'CET',
                        },
               },
);

1;
